KMS - RADEON - DRM - BUG: unable to handle kernel NULL pointer dereference

Bug #491852 reported by zigi on 2009-12-03
38
This bug affects 9 people
Affects Status Importance Assigned to Milestone
Linux
Confirmed
Critical
linux (Ubuntu)
Medium
Unassigned

Bug Description

Dec 3 13:20:33 sweetie kernel: [22591.461314] BUG: unable to handle kernel NULL pointer dereference at 0000000000000168
Dec 3 13:20:33 sweetie kernel: [22591.461322] IP: [<ffffffffa025a2e2>] radeon_object_list_unreserve+0x22/0x50 [radeon]
Dec 3 13:20:33 sweetie kernel: [22591.461341] PGD 6a78f067 PUD 6b251067 PMD 0
Dec 3 13:20:33 sweetie kernel: [22591.461345] Oops: 0000 [#1] SMP
Dec 3 13:20:33 sweetie kernel: [22591.461348] last sysfs file: /sys/devices/pci0000:00/0000:00:1c.1/0000:03:00.0/net/wlan0/address
Dec 3 13:20:33 sweetie kernel: [22591.461351] CPU 1
Dec 3 13:20:33 sweetie kernel: [22591.461353] Modules linked in: hidp binfmt_misc ppdev bridge stp bnep vboxnetadp vboxnetflt vboxdrv fbcon tileblit font bitblit softcursor snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi arc4 snd_rawmidi snd_seq_midi_event snd_seq pcmcia thinkpad_acpi snd_timer snd_seq_device iwlagn iwlcore snd radeon sdhci_pci sdhci ohci1394 mac80211 joydev tp_smapi ttm drm_kms_helper nvram btusb soundcore snd_page_alloc led_class video psmouse serio_raw ricoh_mmc ieee1394 cfg80211 yenta_socket rsrc_nonstatic pcmcia_core output tg3 drm i2c_algo_bit intel_agp hdaps thinkpad_ec coretemp lp parport
Dec 3 13:20:33 sweetie kernel: [22591.461397] Pid: 1030, comm: Xorg Not tainted 2.6.32-6-generic #8-Ubuntu 273232G
Dec 3 13:20:33 sweetie kernel: [22591.461400] RIP: 0010:[<ffffffffa025a2e2>] [<ffffffffa025a2e2>] radeon_object_list_unreserve+0x22/0x50 [radeon]
Dec 3 13:20:33 sweetie kernel: [22591.461412] RSP: 0018:ffff88006aed9c88 EFLAGS: 00010216
Dec 3 13:20:33 sweetie kernel: [22591.461414] RAX: ffff88006b1f9730 RBX: ffff880074bfcda0 RCX: 0000000000000000
Dec 3 13:20:33 sweetie kernel: [22591.461416] RDX: ffff880069255c50 RSI: 0000000000000286 RDI: 0000000000000000
Dec 3 13:20:33 sweetie kernel: [22591.461418] RBP: ffff88006aed9c98 R08: 000000000000007f R09: 0000000000000000
Dec 3 13:20:33 sweetie kernel: [22591.461420] R10: 0000000000000001 R11: 0000000000000000 R12: ffff88006aed9d28
Dec 3 13:20:33 sweetie kernel: [22591.461422] R13: ffff880074bfce00 R14: 0000000000000000 R15: ffff88006cd90a80
Dec 3 13:20:33 sweetie kernel: [22591.461425] FS: 00007ff0f96c76f0(0000) GS:ffff880001c80000(0000) knlGS:0000000000000000
Dec 3 13:20:33 sweetie kernel: [22591.461427] CS: 0010 DS: 0000 ES: 0000 CR0: 0000000080050033
Dec 3 13:20:33 sweetie kernel: [22591.461429] CR2: 0000000000000168 CR3: 000000006a6e1000 CR4: 00000000000006e0
Dec 3 13:20:33 sweetie kernel: [22591.461431] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Dec 3 13:20:33 sweetie kernel: [22591.461433] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Dec 3 13:20:33 sweetie kernel: [22591.461436] Process Xorg (pid: 1030, threadinfo ffff88006aed8000, task ffff88006a61ada0)
Dec 3 13:20:33 sweetie kernel: [22591.461438] Stack:
Dec 3 13:20:33 sweetie kernel: [22591.461439] ffff88006aed9ce8 ffff880074bfc000 ffff88006aed9ca8 ffffffffa025a319
Dec 3 13:20:33 sweetie kernel: [22591.461443] <0> ffff88006aed9cd8 ffffffffa0268cf9 ffff88006aed9ce8 ffff88006aed9ce8
Dec 3 13:20:33 sweetie kernel: [22591.461446] <0> ffff880074bfc000 ffff880074bfce00 ffff88006aed9d88 ffffffffa0269422
Dec 3 13:20:33 sweetie kernel: [22591.461451] Call Trace:
Dec 3 13:20:33 sweetie kernel: [22591.461463] [<ffffffffa025a319>] radeon_object_list_clean+0x9/0x10 [radeon]
Dec 3 13:20:33 sweetie kernel: [22591.461476] [<ffffffffa0268cf9>] radeon_cs_parser_fini+0x129/0x130 [radeon]
Dec 3 13:20:33 sweetie kernel: [22591.461489] [<ffffffffa0269422>] radeon_cs_ioctl+0x122/0x1e0 [radeon]
Dec 3 13:20:33 sweetie kernel: [22591.461500] [<ffffffffa004cd0e>] drm_ioctl+0x17e/0x3a0 [drm]
Dec 3 13:20:33 sweetie kernel: [22591.461513] [<ffffffffa0269300>] ? radeon_cs_ioctl+0x0/0x1e0 [radeon]
Dec 3 13:20:33 sweetie kernel: [22591.461519] [<ffffffff8110892c>] ? __remove_shared_vm_struct+0x3c/0x60
Dec 3 13:20:33 sweetie kernel: [22591.461522] [<ffffffff81112fbc>] ? free_pages_and_swap_cache+0x1c/0xe0
Dec 3 13:20:33 sweetie kernel: [22591.461527] [<ffffffff8128cc9b>] ? cpumask_any_but+0x2b/0x40
Dec 3 13:20:33 sweetie kernel: [22591.461530] [<ffffffff811401ac>] vfs_ioctl+0x7c/0xa0
Dec 3 13:20:33 sweetie kernel: [22591.461533] [<ffffffff81140779>] do_vfs_ioctl+0x79/0x370
Dec 3 13:20:33 sweetie kernel: [22591.461542] [<ffffffff812927d6>] ? __up_write+0xd6/0x140
Dec 3 13:20:33 sweetie kernel: [22591.461544] [<ffffffff81140af1>] sys_ioctl+0x81/0xa0
Dec 3 13:20:33 sweetie kernel: [22591.461548] [<ffffffff81083af9>] ? up_write+0x9/0x10
Dec 3 13:20:33 sweetie kernel: [22591.461552] [<ffffffff81012002>] system_call_fastpath+0x16/0x1b
Dec 3 13:20:33 sweetie kernel: [22591.461554] Code: f4 ff c9 c3 0f 1f 44 00 00 55 48 89 e5 41 54 49 89 fc 53 48 8b 1f eb 04 90 48 89 c3 48 8b 03 4c 39 e3 0f 18 08 74 22 48 8b 7b 10 <44> 8b 87 68 01 00 00 45 85 c0 75 e2 e8 bd ff ff ff 48 8b 03 eb
Dec 3 13:20:33 sweetie kernel: [22591.461582] RIP [<ffffffffa025a2e2>] radeon_object_list_unreserve+0x22/0x50 [radeon]
Dec 3 13:20:33 sweetie kernel: [22591.461594] RSP <ffff88006aed9c88>
Dec 3 13:20:33 sweetie kernel: [22591.461595] CR2: 0000000000000168
Dec 3 13:20:33 sweetie kernel: [22591.461597] ---[ end trace 1c377e0e067edeb8 ]---
Dec 3 13:20:33 sweetie kernel: [22591.511390] [drm:drm_release] *ERROR* Device busy: 1
Dec 3 13:20:34 sweetie kernel: [22592.221284] wlan0: deauthenticating from 00:13:f7:44:4c:b7 by local choice (reason=3)
Dec 3 13:20:34 sweetie kernel: [22592.221337] wlan0: deauthenticating from 00:13:f7:44:4c:b7 by local choice (reason=3)
Dec 3 13:20:36 sweetie kernel: [22594.014662] executing set pll
Dec 3 13:20:36 sweetie kernel: [22594.014700] executing set crtc timing
Dec 3 13:20:36 sweetie kernel: [22594.014767] [drm] LVDS-11: set mode 1680x1050 24
Dec 3 13:20:36 sweetie kernel: [22594.088349] Unpin not necessary for ffff88004c793a00 !

ProblemType: Bug
AlsaVersion: Advanced Linux Sound Architecture Driver Version 1.0.21.
Architecture: amd64
ArecordDevices:
 **** List of CAPTURE Hardware Devices ****
 card 0: Intel [HDA Intel], device 0: CONEXANT Analog [CONEXANT Analog]
   Subdevices: 1/1
   Subdevice #0: subdevice #0
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: ziegleka 1962 F.... pulseaudio
                      ziegleka 1970 F.... kmix
CRDA: Error: [Errno 2] No such file or directory
Card0.Amixer.info:
 Card hw:0 'Intel'/'HDA Intel at 0xf8500000 irq 17'
   Mixer name : 'Conexant CX20561 (Hermosa)'
   Components : 'HDA:14f15051,17aa20fd,00100000'
   Controls : 14
   Simple ctrls : 7
Date: Thu Dec 3 13:28:34 2009
DistroRelease: Ubuntu 10.04
Frequency: This has only happened once.
HibernationDevice: RESUME=UUID=0ccf8d25-f8f3-4aeb-9809-efe8b1ebfe5d
MachineType: LENOVO 273232G
Package: linux-image-2.6.32-6-generic 2.6.32-6.8
PccardctlIdent:
 Socket 0:
   no product info available
PccardctlStatus:
 Socket 0:
   no card
ProcCmdLine: BOOT_IMAGE=/boot/vmlinuz-2.6.32-6-generic root=UUID=26a40a7b-95dd-4565-8f86-c2cd3f3359a9 ro quiet
ProcEnviron:
 LANGUAGE=
 LANG=cs_CZ.UTF-8
 LC_MESSAGES=C
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 2.6.32-6.8-generic
Regression: Yes
RelatedPackageVersions: linux-firmware 1.27
Reproducible: No
SourcePackage: linux
Tags: lucid needs-upstream-testing regression-proposed
TestedUpstream: No
Uname: Linux 2.6.32-6-generic x86_64
dmi.bios.date: 09/16/2009
dmi.bios.vendor: LENOVO
dmi.bios.version: 7YET78WW (3.08 )
dmi.board.name: 273232G
dmi.board.vendor: LENOVO
dmi.board.version: Not Available
dmi.chassis.asset.tag: No Asset Information
dmi.chassis.type: 10
dmi.chassis.vendor: LENOVO
dmi.chassis.version: Not Available
dmi.modalias: dmi:bvnLENOVO:bvr7YET78WW(3.08):bd09/16/2009:svnLENOVO:pn273232G:pvrThinkPadR500:rvnLENOVO:rn273232G:rvrNotAvailable:cvnLENOVO:ct10:cvrNotAvailable:
dmi.product.name: 273232G
dmi.product.version: ThinkPad R500
dmi.sys.vendor: LENOVO

zigi (ziegleka) wrote :
Changed in linux (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in linux:
status: Unknown → Confirmed

It appears this is being reported against the Lucid 2.6.32-6.8 kernel. As a result I'm changing the tag from "regression-proposed" to "regression-potential". Thanks.

tags: added: regression-potential
removed: regression-proposed

Also, for an explanation of the regression-* tags, refer to https://wiki.ubuntu.com/QATeam/RegressionTracking

Andy Whitcroft (apw) wrote :

@zigi -- could you confirm whether this is a hard error ie. does it appear every time you boot? Does booting radeon.modeset=0 prevent the issue. Also how does the 2.6.32-7.10 kernel behave for you?

Changed in linux (Ubuntu):
status: Triaged → Incomplete
zigi (ziegleka) wrote :

- I will test this, but now, there is new bugs associated with upgrades of KDE and XOrg...

- with the 2.6.32-7.10 kernel it seems to be stable but with lower resolution in the VT console
- with the 2.6.32-6.8 kernel - the kernel parameter nomodeset (is the same like radeon.modeset=0 ?) prevent the issue

zigi (ziegleka) wrote :

Question: Can I somehow detect VT console resolution? Thaks

zigi (ziegleka) wrote :

- from /var/log/dmesg:

[ 16.890335] vga16fb: initializing
[ 16.890342] vga16fb: mapped to 0xffff8800000a0000
[ 16.890413] fb0: VGA16 VGA frame buffer device
[ 17.055254] Console: switching to colour frame buffer device 80x30
# How can I 80x30 convert to X resolution ... my LCD has 1680x1050

- from /proc/fb:

0 VGA16 VGA

zigi (ziegleka) wrote :

- from kern.log - many messages like this:
Dec 11 09:09:55 sweetie kernel: [36588.576293] [drm:radeon_cp_indirect] *ERROR* sending pending buffer 24

- and today when I want to switch from X (F7) to VT console (F1) it crashed and had to power off/on my notebook

Andy Whitcroft (apw) wrote :

@zigi -- currently KMS is enabled in the kernel for Radeon but it seems that the userspace support has yet to catch up. They are working on it now that they have an enabled kernel. So for the short term if you are on 2.6.32-8.12 or later and things work well with 'nomodeset' on the kernel command line then we are where we expect to be. I'll try and let you know when we expect userspace support to work correctly for it.

Andy Whitcroft (apw) on 2009-12-18
Changed in linux (Ubuntu):
status: Incomplete → In Progress
status: In Progress → Incomplete
zigi (ziegleka) wrote :
Download full text (10.9 KiB)

New BUG: unable to handle kernel NULL pointer dereference at 0000000000000028 after kernel and xserver-xorg-video-radeon update.

linux kernel: 2.6.32-12.16
xserver-xorg-video-radeon: 1:6.12.99+git20100126.e5933fd7-0ubuntu1

Jan 29 11:13:52 sweetie kernel: [ 1282.410011] [drm:radeon_ib_get] *ERROR* radeon: IB(3:0x0000000008131000:0)
Jan 29 11:13:52 sweetie kernel: [ 1282.410015] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Jan 29 11:13:52 sweetie kernel: [ 1282.410018] [drm:r600_vb_ib_get] *ERROR* failed to get IB for vertex buffer
Jan 29 11:13:52 sweetie kernel: [ 1282.410020] ------------[ cut here ]------------
Jan 29 11:13:52 sweetie kernel: [ 1282.410048] WARNING: at /build/buildd/linux-2.6.32/drivers/gpu/drm/radeon/r600_blit_kms.c:550 r600_blit_prepare_copy+0xb8/0xd0 [radeon]()
Jan 29 11:13:52 sweetie kernel: [ 1282.410051] Hardware name: 273232G
Jan 29 11:13:52 sweetie kernel: [ 1282.410052] Modules linked in: binfmt_misc rfcomm ppdev sco bnep l2cap vboxnetadp vboxnetflt vboxdrv ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack kvm_intel kvm ipt_REJECT xt_tcpudp ip
table_filter ip_tables x_tables bridge stp joydev snd_hda_codec_conexant arc4 pcmcia snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss snd_pcm snd_seq_dummy snd_seq_oss snd_seq_midi snd_rawmidi snd_seq_midi_event snd_seq snd_timer snd_seq_device sn
d thinkpad_acpi nvram sdhci_pci psmouse sdhci serio_raw led_class ohci1394 btusb bluetooth yenta_socket rsrc_nonstatic input_polldev pcmcia_core ieee1394 ricoh_mmc soundcore snd_page_alloc tg3 coretemp lp parport fbcon tileblit font bitblit softcursor vga16fb vg
astate radeon ttm drm_kms_helper drm i2c_algo_bit intel_agp video output [last unloaded: cfg80211]
Jan 29 11:13:52 sweetie kernel: [ 1282.410101] Pid: 1235, comm: Xorg Not tainted 2.6.32-12-generic #16-Ubuntu
Jan 29 11:13:52 sweetie kernel: [ 1282.410103] Call Trace:
Jan 29 11:13:52 sweetie kernel: [ 1282.410111] [<ffffffff81064f4b>] warn_slowpath_common+0x7b/0xc0
Jan 29 11:13:52 sweetie kernel: [ 1282.410114] [<ffffffff81064fa4>] warn_slowpath_null+0x14/0x20
Jan 29 11:13:52 sweetie kernel: [ 1282.410126] [<ffffffffa00ed9f8>] r600_blit_prepare_copy+0xb8/0xd0 [radeon]
Jan 29 11:13:52 sweetie kernel: [ 1282.410139] [<ffffffffa00ddf7c>] r600_copy_blit+0x3c/0x70 [radeon]
Jan 29 11:13:52 sweetie kernel: [ 1282.410151] [<ffffffffa00b5c09>] radeon_move_blit+0xf9/0x170 [radeon]
Jan 29 11:13:52 sweetie kernel: [ 1282.410164] [<ffffffffa00b5f5d>] radeon_bo_move+0xad/0x1a0 [radeon]
Jan 29 11:13:52 sweetie kernel: [ 1282.410170] [<ffffffffa007dd84>] ttm_bo_handle_move_mem+0x124/0x390 [ttm]
Jan 29 11:13:52 sweetie kernel: [ 1282.410176] [<ffffffffa007fa2b>] ttm_bo_move_buffer+0x11b/0x130 [ttm]
Jan 29 11:13:52 sweetie kernel: [ 1282.410180] [<ffffffff812afcca>] ? kref_get+0x1a/0x30
Jan 29 11:13:52 sweetie kernel: [ 1282.410185] [<ffffffffa007fa82>] ttm_buffer_object_validate+0x42/0xd0 [ttm]
Jan 29 11:13:52 sweetie kernel: [ 1282.410198] [<ffffffffa00b7682>] radeon_object_list_validate+0x102/0x220 [radeon]
Jan 29 11:13:52 sweetie kernel: [ 1282.410211] [<ffffffffa00c581c>] ? T.576+0x1c/0x40 [...

zigi (ziegleka) wrote :
Download full text (5.3 KiB)

new crash

linux: 2.6.32-14.20
libdrm-radeon: 2.4.18-1ubuntu2
xserver-xorg-video-radeon: 1:6.12.99+git20100126.e5933fd7-0ubuntu2

Feb 21 09:13:16 sweetie kernel: [ 663.965806] ------------[ cut here ]------------
Feb 21 09:13:16 sweetie kernel: [ 663.965812] kernel BUG at /build/buildd/linux-2.6.32/drivers/gpu/drm/ttm/ttm_bo.c:92!
Feb 21 09:13:16 sweetie kernel: [ 663.965814] invalid opcode: 0000 [#1] SMP
Feb 21 09:13:16 sweetie kernel: [ 663.965817] last sysfs file: /sys/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A08:00/device:00/PNP0C09:00/PNP0C0A:00/power_supply/BAT0/energy_full
Feb 21 09:13:16 sweetie kernel: [ 663.965820] CPU 0
Feb 21 09:13:16 sweetie kernel: [ 663.965822] Modules linked in: cryptd aes_x86_64 aes_generic binfmt_misc rfcomm ppdev sco bnep l2cap vboxnetadp vboxnetflt vboxdrv ipt_MASQUERADE iptable_nat nf_nat nf_conntrack_ipv4 nf_defrag_ipv4 xt_state nf_conntrack ipt_REJ
ECT xt_tcpudp iptable_filter ip_tables x_tables bridge stp kvm_intel kvm fbcon tileblit font bitblit softcursor vga16fb vgastate snd_hda_codec_conexant snd_hda_intel snd_hda_codec snd_hwdep snd_pcm_oss snd_mixer_oss arc4 snd_pcm pcmcia tp_smapi snd_seq_dummy snd
_seq_oss radeon hdaps thinkpad_ec coretemp joydev snd_seq_midi yenta_socket ohci1394 iwlagn sdhci_pci ieee1394 iwlcore rsrc_nonstatic sdhci snd_rawmidi ttm drm_kms_helper video output snd_seq_midi_event thinkpad_acpi led_class snd_seq tg3 snd_timer snd_seq_devic
e pcmcia_core ricoh_mmc psmouse drm serio_raw i2c_algo_bit nvram snd soundcore snd_page_alloc mac80211 cfg80211 intel_agp btusb bluetooth lp parport
Feb 21 09:13:16 sweetie kernel: [ 663.965881] Pid: 9, comm: events/0 Not tainted 2.6.32-14-generic #20-Ubuntu 273232G
Feb 21 09:13:16 sweetie kernel: [ 663.965883] RIP: 0010:[<ffffffffa022c41d>] [<ffffffffa022c41d>] ttm_bo_release_list+0xed/0x100 [ttm]
Feb 21 09:13:16 sweetie kernel: [ 663.965893] RSP: 0018:ffff880078c23d30 EFLAGS: 00010202
Feb 21 09:13:16 sweetie kernel: [ 663.965895] RAX: 0000000000000002 RBX: ffff88005d520400 RCX: ffff88002f78b8a8
Feb 21 09:13:16 sweetie kernel: [ 663.965897] RDX: ffff88003a0f1001 RSI: ffffffffa022c330 RDI: ffff88005d520444
Feb 21 09:13:16 sweetie kernel: [ 663.965899] RBP: ffff880078c23d50 R08: 0000000000000000 R09: 0000000000000000
Feb 21 09:13:16 sweetie kernel: [ 663.965901] R10: 0000000000000000 R11: 0000000000000001 R12: ffff88005d520444
Feb 21 09:13:16 sweetie kernel: [ 663.965903] R13: ffff8800782b6400 R14: ffff88005d520444 R15: ffff880064b6f508
Feb 21 09:13:16 sweetie kernel: [ 663.965906] FS: 0000000000000000(0000) GS:ffff880001c00000(0000) knlGS:0000000000000000
Feb 21 09:13:16 sweetie kernel: [ 663.965908] CS: 0010 DS: 0018 ES: 0018 CR0: 000000008005003b
Feb 21 09:13:16 sweetie kernel: [ 663.965910] CR2: 00007f2461bce000 CR3: 000000005e2a9000 CR4: 00000000000026f0
Feb 21 09:13:16 sweetie kernel: [ 663.965912] DR0: 0000000000000000 DR1: 0000000000000000 DR2: 0000000000000000
Feb 21 09:13:16 sweetie kernel: [ 663.965915] DR3: 0000000000000000 DR6: 00000000ffff0ff0 DR7: 0000000000000400
Feb 21 09:13:16 sweetie kernel: [ 663.965917] Process events/0 (pid: 9, threadinfo ffff880078c22000, task ffff8800797f5bc0)
Feb 21 09:13:16 sweetie ...

Read more...

zigi (ziegleka) wrote :
Download full text (22.4 KiB)

Older, but may be usefull, errors from /var/log/kern.log:

Feb 4 16:32:49 sweetie kernel: [ 7104.931260] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.931264] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.931267] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.931854] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.931857] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.931859] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.932031] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.932033] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.932035] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.933048] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.933089] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.933091] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.935268] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.935272] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.935275] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.935707] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.935710] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.935712] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.936201] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.936204] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.936206] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.936621] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.936624] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.936626] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.938579] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.938583] [drm:radeon_ib_get] *ERROR* radeon: GPU lockup detected, fail to get a IB
Feb 4 16:32:49 sweetie kernel: [ 7104.938586] [drm:radeon_cs_ioctl] *ERROR* Failed to get ib !
Feb 4 16:32:49 sweetie kernel: [ 7104.939977] [drm:radeon_ib_get] *ERROR* radeon: IB(13:0x00000000081D1000:0)
Feb 4 16:32:49 sweetie kernel: [ 7104.939980] [drm:radeon_ib_get] *ERROR* rad...

zigi (ziegleka) wrote :
Download full text (3.3 KiB)

Older, but may be usefull, errors from /var/log/Xorg.log:

X.Org X Server 1.7.3.902 (1.7.4 RC 2)
Release Date: 2009-12-26
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-23-server x86_64 Ubuntu
Current Operating System: Linux sweetie 2.6.32-11-generic #15-Ubuntu SMP Tue Jan 19 20:38:41 UTC 2010 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-11-generic root=UUID=26a40a7b-95dd-4565-8f86-c2cd3f3359a9 ro quiet
Build Date: 19 January 2010 07:28:22AM
xorg-server 2:1.7.3.902-1ubuntu9 (buildd@)
...
(II) LoadModule: "radeon"
(II) Loading /usr/lib/xorg/modules/drivers/radeon_drv.so
(II) Module radeon: vendor="X.Org Foundation"
        compiled for 1.7.3.902, module version = 6.12.99
...
[mi] EQ overflowing. The server is probably stuck in an infinite loop.

Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x4a22b8]
1: /usr/bin/X (mieqEnqueue+0x1f4) [0x4a1b64]
2: /usr/bin/X (xf86PostMotionEventP+0xce) [0x47c66e]
3: /usr/lib/xorg/modules/input/evdev_drv.so (0x7fae5ada2000+0x53df) [0x7fae5ada73df]
4: /usr/bin/X (0x400000+0x6f527) [0x46f527]
5: /usr/bin/X (0x400000+0x11bcb3) [0x51bcb3]
6: /lib/libpthread.so.0 (0x7fae5d7bf000+0xf780) [0x7fae5d7ce780]
7: /lib/libc.so.6 (ioctl+0x7) [0x7fae5c578da7]
8: /usr/lib/libdrm.so.2 (drmIoctl+0x23) [0x7fae5b1b45b3]
9: /usr/lib/libdrm.so.2 (drmCommandWriteRead+0x1c) [0x7fae5b1b47fc]
10: /usr/lib/libdrm_radeon.so.1 (0x7fae5a00a000+0x1599) [0x7fae5a00b599]
11: /usr/lib/libdrm_radeon.so.1 (0x7fae5a00a000+0x15e4) [0x7fae5a00b5e4]
12: /usr/lib/xorg/modules/drivers/radeon_drv.so (0x7fae5a20f000+0xb9d70) [0x7fae5a2c8d70]
13: /usr/lib/xorg/modules/libexa.so (0x7fae59bd4000+0x828a) [0x7fae59bdc28a]
14: /usr/bin/X (0x400000+0x158154) [0x558154]
15: /usr/lib/xorg/modules/libexa.so (exaGetPixmapFirstPixel+0xa9) [0x7fae59be3109]
16: /usr/lib/xorg/modules/libexa.so (0x7fae59bd4000+0xe375) [0x7fae59be2375]
17: /usr/bin/X (0x400000+0xd6cf0) [0x4d6cf0]
18: /usr/bin/X (0x400000+0xd085e) [0x4d085e]
19: /usr/bin/X (0x400000+0x30a4c) [0x430a4c]
20: /usr/bin/X (0x400000+0x260aa) [0x4260aa]
21: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7fae5c4bbc4d]
22: /usr/bin/X (0x400000+0x25c59) [0x425c59]

X.Org X Server 1.7.3.902 (1.7.4 RC 2)
Release Date: 2009-12-26
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.24-23-server x86_64 Ubuntu
Current Operating System: Linux sweetie 2.6.32-11-generic #15-Ubuntu SMP Tue Jan 19 20:38:41 UTC 2010 x86_64
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-11-generic root=UUID=26a40a7b-95dd-4565-8f86-c2cd3f3359a9 ro quiet
Build Date: 19 January 2010 07:28:22AM
xorg-server 2:1.7.3.902-1ubuntu9 (buildd@)
...
Backtrace:
0: /usr/bin/X (xorg_backtrace+0x28) [0x4a22b8]
1: /usr/bin/X (0x400000+0x65059) [0x465059]
2: /lib/libpthread.so.0 (0x7fd54c048000+0xf780) [0x7fd54c057780]
3: /usr/bin/X (DamageUnregister+0x53) [0x4d5e93]
4: /usr/lib/xorg/modules/libshadow.so (shadowRemove+0x33) [0x7fd54897d3c3]
5: /usr/lib/xorg/modules/libshadow.so (0x7fd54897c000+0x1884) [0x7fd54897d884]
6: /usr/bin/X (0x400000+0xa6859) [0x4a6859]
7: /usr/bin/X (0x400000+0x165e3c) [0x565e3c]
8: /usr/bin/X (0x400000+0x2614c) [0x42614c]
9: /lib/libc.so.6 (__libc_start_main+0xfd) [0x7fd54ad...

Read more...

Changed in linux:
importance: Unknown → Critical
Changed in linux:
importance: Critical → Unknown
Changed in linux:
importance: Unknown → Critical
tags: removed: regression-potential
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.